﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.Chart;

namespace xamChart
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            
            // Instantiate and Initialize a Series
            Series s = new Series();
            s.ChartType = ChartType.Bubble;
            s.Label = "Subject 1";

            // Add the series object to the Series collection
            this.xamChart1.Series.Add(s);

            // Instantiate a DataPoint object and add four ChartParameters to it
            DataPoint point1 = new DataPoint();
            point1.ChartParameters.Add(ChartParameterType.ValueX, 2);
            point1.ChartParameters.Add(ChartParameterType.ValueY, 2);
            point1.ChartParameters.Add(ChartParameterType.Radius, 2);
            point1.ChartParameters.Add(ChartParameterType.ValueZ, 2);
            
            // Instantiate a second DataPoint object and add four ChartParameters to it
            DataPoint point2 = new DataPoint();
            point2.ChartParameters.Add(ChartParameterType.ValueX, 5);
            point2.ChartParameters.Add(ChartParameterType.ValueY, 3);
            point2.ChartParameters.Add(ChartParameterType.Radius, 1);
            point2.ChartParameters.Add(ChartParameterType.ValueZ, 4);

            // Add both DataPOints to the DataPoints collection of the Series
            s.DataPoints.Add(point1);
            s.DataPoints.Add(point2);
        }
    }
}
